Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class BeforeFloat

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.BlockParent
                  org.apache.fop.area.BeforeFloat

All Implemented Interfaces:
  java.io.Serializable

public class BeforeFloat
extends BlockParent

The before-float-reference-area optionally generated by an fo:region-body. It has an optional separator and before float block children. See fo:region-body definition in the XSL Rec for more information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.area.BlockParent
`children, xOffset, yOffset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`BeforeFloat()`

Method Summary
`int` | `getBPD()` Get the height of this before float.
`Block` | `getSeparator()` Get the separator area for this before float.
`boolean` | `isEmpty()` Check whether there are child areas.
`void` | `setSeparator(Block sep)` Set the separator area for this before float.

Methods inherited from class org.apache.fop.area.BlockParent
`addBlock, addChildArea, getChildAreas, getXOffset, getYOffset, setXOffset, setYOffset`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeforeFloat

    public BeforeFloat()

Method Detail

### setSeparator

    public void setSeparator(Block sep)

  Set the separator area for this before float.

  Parameters:
    `sep` - the before float separator area

### getSeparator

    public Block getSeparator()

  Get the separator area for this before float.

  Returns:
    the before float separator area

### getBPD

    public int getBPD()

  Get the height of this before float. It gets the height of the children and if there is a separator its height is also added.

  Overrides:
    `getBPD` in class `Area`
  Returns:
    the height of the before float including separator
  See Also:
    bpd

### isEmpty

    public boolean isEmpty()

  Check whether there are child areas.

  Overrides:
    `isEmpty` in class `BlockParent`
  Returns:
    the result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.